curl --request POST \
--url https://cloudapi.mailercloud.com/v1/senders/search \
--header 'Authorization: <api-key>' \
--header 'Content-Type: <content-type>' \
--data '
{
"limit": 10,
"page": 1,
"search": "marketing",
"sort_field": "sender_email",
"sort_order": "asc"
}
'{
"count": 2,
"data": [
{
"id": "hXUA",
"sender_email": "sender1@example.com",
"sender_name": "Marketing Team",
"createdDate": "2025-01-01 10:00:00",
"status": "Verified"
},
{
"id": "YxGF",
"sender_email": "support@example.com",
"sender_name": "Support",
"createdDate": "2025-01-02 10:00:00",
"status": "Verified"
}
]
}List Senders
Use this API to return an array of all your active and verified sender email addresses with sender name and reply-to email. You can filter, search and sort senders.
curl --request POST \
--url https://cloudapi.mailercloud.com/v1/senders/search \
--header 'Authorization: <api-key>' \
--header 'Content-Type: <content-type>' \
--data '
{
"limit": 10,
"page": 1,
"search": "marketing",
"sort_field": "sender_email",
"sort_order": "asc"
}
'{
"count": 2,
"data": [
{
"id": "hXUA",
"sender_email": "sender1@example.com",
"sender_name": "Marketing Team",
"createdDate": "2025-01-01 10:00:00",
"status": "Verified"
},
{
"id": "YxGF",
"sender_email": "support@example.com",
"sender_name": "Support",
"createdDate": "2025-01-02 10:00:00",
"status": "Verified"
}
]
}Authorizations
Your Mailercloud API key (plain text, no Bearer prefix). Create keys in Settings → API.
Headers
Request body type
Body
Maximum number of elements to return.
Maximum: 100 Minimum: 10
10 <= x <= 100You can retrieve a subset of records starting from the page value you have specified. You can add a limit, which will determine the number of records you can retrieve on a single page.
Starts From: 1
x >= 1Filter senders by email or name. Partial match is supported.
255Sort sender data based on this field.
Available sort fields: sender_email, sender_name, created_date
Sorting order for sort field.
Available sort orders: asc, ASC, desc, DESC